# Copyright (c) 2007, 2008  Dwayne C. Litzenberger <dlitz@dlitz.net>
# Copyright (c) 2011 Outpost Embedded, LLC
# 
# This file is part of cloudfiles-sftpd.
#
# cloudfiles-sftpd is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# cloudfiles-sftpd is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


from errno import EACCES, EBUSY


class Error(Exception):
    pass


class ProtocolError(Error):
    """The remote application behaved unexpectedly."""


class ConfigurationError(Error):
    pass


class OperationError(Error):
    errno = None

    def __init__(self, errno_):
        super(OperationError, self).__init__(errno_)
        self.errno = errno_


class PermissionDenied(OperationError):
    def __init__(self):
        super(PermissionDenied, self).__init__(EACCES)


class BusyError(OperationError):
    def __init__(self):
        super(BusyError, self).__init__(EBUSY)
