from cloudfiles.errors import ContainerExists

from cloudfiles_sftpd.exceptions import BusyError


def lock_container(conn, container_name):
    try:
        conn.create_container(
          ('%s.lock' % container_name),
          error_on_existing = True,
        )
    except ContainerExists:
        raise BusyError()


def unlock_container(conn, container_name):
    conn.delete_container('%s.lock' % container_name)
