#!/usr/bin/env python

# Author: Forest Bond <forest.bond@rapidrollout.com>
# This file is in the public domain.

import os, sys, commands


sys.path.insert(0, os.path.join(os.path.dirname(__file__), 'modules'))
sys.path.insert(0, os.path.join(os.path.dirname(__file__)))


from setuplib import setup


def get_version(release_file):
    try:
        f = open(release_file, 'r')
        try:
            return f.read().strip()
        finally:
            f.close()
    except (IOError, OSError):
        status, output = commands.getstatusoutput('bzr revno')
        if status == 0:
            return 'bzr%s' % output.strip()
    return 'unknown'


version = get_version('release')

setup(
  name = 'cloudfiles-sftpd',
  distinfo_module = 'cloudfiles_sftpd.distinfo',
  package_dir = {'cloudfiles_sftpd': os.path.join('modules', 'cloudfiles_sftpd')},
  packages = ['cloudfiles_sftpd'],
  scripts = ['cloudfiles-sftpd'],
  version = version,
  author = 'Forest Bond',
  author_email = 'forest.bond@rapidrollout.com',
  url = 'https://launchpad.net/cloudfiles-sftpd',
  download_url = (
    'http://launchpad.net/cloudfiles-sftpd/dev/cloudfiles-sftpd-%(version)s/+download/cloudfiles-sftpd-%(version)s.tar.gz'
    % {'version': version}
  ),
)
